package com.holmos.cache.node;


/**
 * 缓存节点信息接口，节点，包括
 * 
 * @author: 吴银龙(sunshine307087558@gmail.com)
 * @version: 2013-3-18 上午12:54:52 
 */

public interface ClusterNode {
	
	/**
	 * 每个缓存节点的唯一标示简单标识符
	 * */
	public int getID();
	
	/**
	 * 缓存节点的ip地址
	 * */
	public String getIP();
	
	/**
	 * 缓存节点机器的主机名(host)
	 * */
	public String getHostName();
	
	/**节点描述信息*/
	public String toString();
	
}
